
iconName = 'icons'
labelText = 'Misc.'


from python_tqt.qt import TQFrame, TQHBoxLayout, TQVBoxLayout, SIGNAL, TQPoint
from tdecore import i18n
from tdeui import TDEAboutDialog, KPushButton, KBugReport, KTextEdit
from tdeui import KRootPermsIcon, KWritePermsIcon


helpText = ("Samples for the KRootPermsIcon and KWritePermsIcon classes."
            "These icons don't do anything.")


class MainFrame(TQFrame):
    def __init__(self, parent=None):
        TQFrame.__init__(self, parent)

        layout = TQVBoxLayout(self, 4)
        layout.setAutoAdd(True)

        self.help = KTextEdit(helpText, '', self)
        self.root = KRootPermsIcon(None)
        self.root.reparent(self, 0, TQPoint(0,0), True)

        import os
        fn = os.path.abspath('.')
        print fn
        self.write = KWritePermsIcon(fn)
        self.write.reparent(self, 0, TQPoint(0,0), True)
